# DaprAppCallbackProtos.TopicRoutesOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprAppCallbackProtos.TopicRoutesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicRoutes`, `DaprAppCallbackProtos.TopicRoutes.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.TopicRoutesOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDefault()` The default path for this topic.
`com.google.protobuf.ByteString` `getDefaultBytes()` The default path for this topic.
`DaprAppCallbackProtos.TopicRule` `getRules​(int index)` The list of rules for this topic.
`int` `getRulesCount()` The list of rules for this topic.
`List<DaprAppCallbackProtos.TopicRule>` `getRulesList()` The list of rules for this topic.
`DaprAppCallbackProtos.TopicRuleOrBuilder` `getRulesOrBuilder​(int index)` The list of rules for this topic.
`List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder>` `getRulesOrBuilderList()` The list of rules for this topic.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getRulesList

    List<DaprAppCallbackProtos.TopicRule> getRulesList()

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

#### getRules

    DaprAppCallbackProtos.TopicRule getRules​(int index)

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

#### getRulesCount

    int getRulesCount()

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

#### getRulesOrBuilderList

    List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder> getRulesOrBuilderList()

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

#### getRulesOrBuilder

    DaprAppCallbackProtos.TopicRuleOrBuilder getRulesOrBuilder​(int index)

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

#### getDefault

    String getDefault()

     The default path for this topic.

`string default = 2;`

Returns:
  The default.

#### getDefaultBytes

    com.google.protobuf.ByteString getDefaultBytes()

     The default path for this topic.

`string default = 2;`

Returns:
  The bytes for default.